package com.ejie.ab79.model.REST.servicioWeb;

public class DatosBasicos implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idInspeccion;
	private String idInspeccionMovil;
	private String identificadorInspeccion;
	private Integer idResultadoInspeccion;
	private Integer idDireccion;
	private Integer idCampaina;
	private Integer idEstadoInspeccion;
	private Integer idProtocolo;
	private Integer idOrigenInspeccion;
	private Integer idInspector;
	private Integer idExpediente;
	private String numExpediente;
	private String tituloExpediente;
	private Integer idProcedimiento;
	private String observacionesTecnico;
	private String observacionesResultado;

	public DatosBasicos() {
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public String getIdInspeccionMovil() {
		return idInspeccionMovil;
	}

	public void setIdInspeccionMovil(String idInspeccionMovil) {
		this.idInspeccionMovil = idInspeccionMovil;
	}

	public String getIdentificadorInspeccion() {
		return identificadorInspeccion;
	}

	public void setIdentificadorInspeccion(String identificadorInspeccion) {
		this.identificadorInspeccion = identificadorInspeccion;
	}

	public Integer getIdResultadoInspeccion() {
		return idResultadoInspeccion;
	}

	public void setIdResultadoInspeccion(Integer idResultadoInspeccion) {
		this.idResultadoInspeccion = idResultadoInspeccion;
	}

	public Integer getIdDireccion() {
		return idDireccion;
	}

	public void setIdDireccion(Integer idDireccion) {
		this.idDireccion = idDireccion;
	}

	public Integer getIdCampaina() {
		return idCampaina;
	}

	public void setIdCampaina(Integer idCampaina) {
		this.idCampaina = idCampaina;
	}

	public Integer getIdEstadoInspeccion() {
		return idEstadoInspeccion;
	}

	public void setIdEstadoInspeccion(Integer idEstadoInspeccion) {
		this.idEstadoInspeccion = idEstadoInspeccion;
	}

	public Integer getIdProtocolo() {
		return idProtocolo;
	}

	public void setIdProtocolo(Integer idProtocolo) {
		this.idProtocolo = idProtocolo;
	}

	public Integer getIdOrigenInspeccion() {
		return idOrigenInspeccion;
	}

	public void setIdOrigenInspeccion(Integer idOrigenInspeccion) {
		this.idOrigenInspeccion = idOrigenInspeccion;
	}

	public Integer getIdInspector() {
		return idInspector;
	}

	public void setIdInspector(Integer idInspector) {
		this.idInspector = idInspector;
	}

	public Integer getIdExpediente() {
		return idExpediente;
	}

	public void setIdExpediente(Integer idExpediente) {
		this.idExpediente = idExpediente;
	}

	public String getNumExpediente() {
		return numExpediente;
	}

	public void setNumExpediente(String numExpediente) {
		this.numExpediente = numExpediente;
	}

	public String getTituloExpediente() {
		return tituloExpediente;
	}

	public void setTituloExpediente(String tituloExpediente) {
		this.tituloExpediente = tituloExpediente;
	}

	public Integer getIdProcedimiento() {
		return idProcedimiento;
	}

	public void setIdProcedimiento(Integer idProcedimiento) {
		this.idProcedimiento = idProcedimiento;
	}

	public String getObservacionesTecnico() {
		return observacionesTecnico;
	}

	public void setObservacionesTecnico(String observacionesTecnico) {
		this.observacionesTecnico = observacionesTecnico;
	}

	public String getObservacionesResultado() {
		return observacionesResultado;
	}

	public void setObservacionesResultado(String observacionesResultado) {
		this.observacionesResultado = observacionesResultado;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ idInspeccionMovil: ").append(this.idInspeccionMovil).append(" ]");
		result.append(", [ identificadorInspeccion: ").append(this.identificadorInspeccion).append(" ]");
		result.append(", [ idResultadoInspeccion: ").append(this.idResultadoInspeccion).append(" ]");
		result.append(", [ idDireccion: ").append(this.idDireccion).append(" ]");
		result.append(", [ idCampaina: ").append(this.idCampaina).append(" ]");
		result.append(", [ idEstadoInspeccion: ").append(this.idEstadoInspeccion).append(" ]");
		result.append(", [ idProtocolo: ").append(this.idProtocolo).append(" ]");
		result.append(", [ idOrigenInspeccion: ").append(this.idOrigenInspeccion).append(" ]");
		result.append(", [ idInspector: ").append(this.idInspector).append(" ]");
		result.append(", [ idExpediente: ").append(this.idExpediente).append(" ]");
		result.append(", [ numExpediente: ").append(this.numExpediente).append(" ]");
		result.append(", [ tituloExpediente: ").append(this.tituloExpediente).append(" ]");
		result.append("}");
		return result.toString();
	}
}
